[SciPy-user] Problems installing scipy 0.6 on FC5

David Cournapeau david@ar.media.kyoto-u.ac...
Tue Nov 27 03:06:50 CST 2007


Alexander Dietz wrote:
> Hi,
>
> see the content of /proc/cpuinfo below.
>
Ok, your CPU supports sse2 instruction set, so this is not the problem. 
Since you use an old FC version, it may be an old g77 bug. Could you 
give use the version of g77 (g77 -v). Also, you could try to see which 
flag make it fails, for example, does the following:

/usr/bin/g77 -g -Wall -fno-second-underscore -fPIC -O2 -funroll-loops 
-march=i686 -mmmx -msse -fomit-frame-pointer -malign-double -c 
scipy/fftpack/dfftpack/zfftb1.f

(I suspect the -msse2 to be a problem with old g77; several problems 
related to -msse2 and movd were fixed in gcc 3.3).

cheers,

David


More information about the SciPy-user mailing list